Issue 120435 - import of special svg picture crashes AOO
import of special svg picture crashes AOO
Status: CLOSED FIXED
Product: Draw
Classification: Application
Component: open-import
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 17:02 UTC by Regina Henschel
Modified: 2013-07-12 16:19 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
picture that crashes AOO-dev (1.88 KB, image/svg+xml)
2012-08-01 17:02 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2012-08-01 17:02:24 UTC
Created attachment 78806 [details]
picture that crashes AOO-dev

I use a debug build of r1367616.

Insert the attached svg-picture into a Draw document. AOO-dev r1367616 crashes immediately (even in file picker when preview is enabled). No debug messages are generated.

The picture can be imported into AOO3.4.1 without problems.

The picture belongs to http://www.w3.org/TR/SVG/paths.html

Is this a special problem of my build?
Comment 1 Armin Le Grand 2012-08-02 11:08:58 UTC
ALG: Strange. It crashes on the first text node. Taking over...
Comment 2 Armin Le Grand 2012-08-02 11:32:24 UTC
ALG: Good catch, it was introduced with the CSS style fix. The detected CSS style was added each time the style was requested, so a ring pointering was created. Changed now to only detect CSS for a node once, this cannot change. Chekcing...
Comment 3 SVN Robot 2012-08-02 11:35:48 UTC
"alg" committed SVN revision 1368423 into trunk:
#120435# Corrected CSS style detection to be executed only once per node
Comment 4 Armin Le Grand 2012-08-02 11:36:11 UTC
ALG: Added example to my standard test examples (which I used for the CSS style fix) to avoid this in the future. Committed as revision 1368423.
Comment 5 Armin Le Grand 2012-08-02 11:36:24 UTC
ALG: Done.
Comment 6 liuping 2012-08-28 08:13:28 UTC
can not reproduce on AOO350ml 1377620 on Win7-64bit